- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Texture.cpp File Reference

`#include <osg/GLExtensions>`
`#include <osg/Image>`
`#include <osg/Texture>`
`#include <osg/State>`
`#include <osg/Notify>`
`#include <osg/GLU>`
`#include <osg/Timer>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Mutex>`
`#include <map>`
`#include <set>`

Include dependency graph for Texture.cpp:

## Defines
#define | GL_TEXTURE_WRAP_R 0x8072
#define | GL_UNPACK_CLIENT_STORAGE_APPLE 0x85B2
#define | GL_VERTEX_ARRAY_RANGE_APPLE 0x851D
#define | GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE 0x851E
#define | GL_VERTEX_ARRAY_STORAGE_HINT_APPLE 0x851F
#define | GL_VERTEX_ARRAY_RANGE_POINTER_APPLE 0x8521
#define | GL_STORAGE_CACHED_APPLE 0x85BE
#define | GL_STORAGE_SHARED_APPLE 0x85BF
## Typedefs
typedef buffered_value< ref_ptr< Texture::Extensions > > | BufferedExtensions
## Variables
unsigned int | s_minimumNumberOfTextureObjectsToRetainInCache = 0

## Define Documentation

#define GL_STORAGE_CACHED_APPLE 0x85BE

#define GL_STORAGE_SHARED_APPLE 0x85BF

#define GL_TEXTURE_WRAP_R 0x8072

#define GL_UNPACK_CLIENT_STORAGE_APPLE 0x85B2

#define GL_VERTEX_ARRAY_RANGE_APPLE 0x851D

#define GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE 0x851E

#define GL_VERTEX_ARRAY_RANGE_POINTER_APPLE 0x8521

#define GL_VERTEX_ARRAY_STORAGE_HINT_APPLE 0x851F

## Typedef Documentation

typedef buffered_value< ref_ptr<Texture::Extensions> > BufferedExtensions

## Variable Documentation

unsigned int s_minimumNumberOfTextureObjectsToRetainInCache = 0